Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryMapFactory

    java.lang.Object
      com.verisign.epp.codec.gen.EPPMapFactory
          com.verisign.epp.codec.registry.EPPRegistryMapFactory

    public class EPPRegistryMapFactory

extends EPPMapFactory

Field Summary
`static java.lang.String` | `ELM_REGISTRY_AUTHINFO` XML tag name associated with registry authorization information.
`static java.lang.String` | `NS` Namespace URI associated with EPPRegistryMapFactory.
`static java.lang.String` | `NS_PREFIX` Namespace prefix associated with EPPRegistryMapFactory.
`static java.lang.String` | `NS_SCHEMA` EPP Registry XML Schema.

Fields inherited from class com.verisign.epp.codec.gen.EPPMapFactory
`EPP_CHECK, EPP_CREATE, EPP_DELETE, EPP_INFO, EPP_LOGIN, EPP_LOGOUT, EPP_RENEW, EPP_TRANSFER, EPP_UPDATE`

Constructor Summary
`EPPRegistryMapFactory()`

Method Summary
`EPPCommand` | `createCommand(org.w3c.dom.Element aMapElement)` Abstract method that creates a concrete `EPPCommand` from an XML element.
`EPPResponse` | `createResponse(org.w3c.dom.Element aMapElement)` creates a concrete `EPPResponse` from the passed in XML Element tree.
`EPPService` | `getService()` Gets the `EPPService` associated with `EPPRegistryMapFactory`.
`java.util.Set` | `getXmlSchemas()` Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  Namespace URI associated with EPPRegistryMapFactory.

  See Also:
    Constant Field Values

### NS_PREFIX

    public static final java.lang.String NS_PREFIX

  Namespace prefix associated with EPPRegistryMapFactory.

  See Also:
    Constant Field Values

### NS_SCHEMA

    public static final java.lang.String NS_SCHEMA

  EPP Registry XML Schema.

  See Also:
    Constant Field Values

### ELM_REGISTRY_AUTHINFO

    public static final java.lang.String ELM_REGISTRY_AUTHINFO

  XML tag name associated with registry authorization information. This value will be passed to the authInfo object when it is initialized in registry command mappings.

  See Also:
    Constant Field Values

Constructor Detail

### EPPRegistryMapFactory

    public EPPRegistryMapFactory()

Method Detail

### createCommand

    public EPPCommand createCommand(org.w3c.dom.Element aMapElement)
                             throws EPPCodecException

  Description copied from class: `EPPMapFactory`
  Abstract method that creates a concrete `EPPCommand` from an XML element. For example, a `EPPDomainCreateCmd` will be created by `EPPDomainMapFactory` given the <domain:create> XML element.

  Specified by:
    `createCommand` in class `EPPMapFactory`
  Parameters:
    `aMapElement` - command extension XML element. For example <domain:create>.
  Returns:
    Concrete `EPPCommand` associated with command extension XML element. For example, `EPPDomainCreateCmd`.
  Throws:
    `EPPCodecException` - Error creating the concrete `EPPCommand`

### createResponse

    public EPPResponse createResponse(org.w3c.dom.Element aMapElement)
                               throws EPPCodecException

  creates a concrete `EPPResponse` from the passed in XML Element tree. `aMapElement` must be the root node for the command extension. For example, <contact:info-data> must be the element passed for a Contact Info Response.

  Specified by:
    `createResponse` in class `EPPMapFactory`
  Parameters:
    `aMapElement` - Mapping Extension EPP XML Element.
  Returns:
    Concrete `EPPResponse` instance associated with `aMapElement`.
  Throws:
    `EPPCodecException` - Error creating concrete `EPPResponse`

### getService

    public EPPService getService()

  Gets the `EPPService` associated with `EPPRegistryMapFactory`. The `EPPService` is used by `EPPFactory` for distributing the responsibility of creating concrete `EPPCommand` and `EPPResponse` objects by XML namespace. The XML namespace is defined in the returned `EPPService`.

  Specified by:
    `getService` in class `EPPMapFactory`
  Returns:
    service description for the Registry Command Mapping.

### getXmlSchemas

    public java.util.Set getXmlSchemas()

  Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

  Overrides:
    `getXmlSchemas` in class `EPPMapFactory`
  Returns:
    `Set` of `String` XML Schema names that should be pre-loaded in the XML Parser.
  See Also:
    `EPPMapFactory.getXmlSchemas()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.